%define ALD_Ver		2.0

Name:         docbkx

License:      Free
Summary:      XML/SGML DocBook DTD 4.1, 4.1.2, 4.2, 4.3, 4.3, 4.4, 4.5
Version:      4.5
Release:      1
URL:          http://www.oasis-open.org/docbook/
#https://docbook.org/xml/4.1.2/*.zip
#https://docbook.org/xml/4.2/*.zip
#https://docbook.org/xml/4.3/*.zip
#https://docbook.org/xml/4.4/*.zip
#https://docbook.org/xml/4.5/*.zip

Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch

Requires: 	sgml-common
Requires:	libxml2 >= 2.4.17

%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define docbkdir41	%{_datadir}/xml/docbook/4.1
%define docbkdir412	%{_datadir}/xml/docbook/4.1.2
%define fdocbkdir412	file://%{docbkdir412}
%define docbkdir42	%{_datadir}/xml/docbook/4.2
%define fdocbkdir42	file://%{docbkdir42}
%define docbkdir43	%{_datadir}/xml/docbook/4.3
%define fdocbkdir43	file://%{docbkdir43}
%define docbkdir44	%{_datadir}/xml/docbook/4.4
%define fdocbkdir44	file://%{docbkdir44}
%define docbkdir45	%{_datadir}/xml/docbook/4.5
%define fdocbkdir45	file://%{docbkdir45}

%define DestDir		docbook
# -----------------------------------------------------
%define xmlcat		/etc/xml/catalog
%define docbkcat	/etc/xml/docbook.xml

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)
%define __os_install_post %{nil}

# ------------------- description ------------------------------------
%description
DocBook is an XML/SGML vocabulary particularly well suited to books
and papers about computer hardware and software

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

cd docbkx412
patch -p1<../docbkx412.patch
cd ..

cd docbkx42
patch -p1<../docbkx42.patch
cd ..

cd docbkx43
patch -p1<../docbkx43.patch
cd ..

cd docbkx44
patch -p1<../docbkx44.patch
cd ..

cd docbkx45
patch -p1<../docbkx45.patch
cd ..

sed -i s:"ent/iso-":"/usr/share/xml/entities/xml-iso-entities-8879.1986/ISO": docbkx412/dbcentx.mod
sed -i s:"ent/iso-":"/usr/share/xml/entities/xml-iso-entities-8879.1986/ISO": docbkx42/dbcentx.mod
sed -i s:"ent/iso-":"/usr/share/xml/entities/xml-iso-entities-8879.1986/ISO": docbkx43/dbcentx.mod

# ------------------- Build ------------------------------------------
%Build

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xml

mkdir -p $RPM_BUILD_ROOT%{docbkdir412}
cd docbkx412
cp -a *.dtd docbook.cat *.mod $RPM_BUILD_ROOT%{docbkdir412}/
cd ..

mkdir -p $RPM_BUILD_ROOT%{docbkdir42}
cd docbkx42
cp -a *.dtd docbook.cat *.mod $RPM_BUILD_ROOT%{docbkdir42}/
cd ..

mkdir -p $RPM_BUILD_ROOT%{docbkdir43}
cd docbkx43
cp -a *.dtd docbook.cat *.mod $RPM_BUILD_ROOT%{docbkdir43}/
cd ..

mkdir -p $RPM_BUILD_ROOT%{docbkdir44}
cd docbkx44
cp -a *.dtd docbook.cat *.mod $RPM_BUILD_ROOT%{docbkdir44}/
cd ..

mkdir -p $RPM_BUILD_ROOT%{docbkdir45}
cd docbkx45
cp -a *.dtd docbook.cat *.mod $RPM_BUILD_ROOT%{docbkdir45}/
cd ..

mkdir -p $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dtd/xml
pushd $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dtd/xml
  ln -s ../../../../xml/docbook/4.1.2 4.1
  ln -s ../../../../xml/docbook/4.1.2
  ln -s ../../../../xml/docbook/4.2
  ln -s ../../../../xml/docbook/4.3
  ln -s ../../../../xml/docbook/4.4
  ln -s ../../../../xml/docbook/4.5
popd

pushd $RPM_BUILD_ROOT%{_datadir}/xml/docbook
  ln -s 4.1.2 4.1
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/xml/docbook/schema/dtd
pushd $RPM_BUILD_ROOT%{_datadir}/xml/docbook/schema/dtd
  ln -s ../../4.1.2 4.1
  ln -s ../../4.1.2
  ln -s ../../4.2
  ln -s ../../4.3
  ln -s ../../4.4
  ln -s ../../4.5
popd


# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local


%posttrans
if test ! -e %{xmlcat} ; then
  xmlcatalog --noout --create %{xmlcat}
fi
if test ! -e %{docbkcat} ; then
  xmlcatalog --noout --create %{docbkcat}
fi

#---------------- 4.5 -------------------
xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML V4.5//EN" \
  "%{fdocbkdir45}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook CALS Table Model V4.5//EN" \
  "%{fdocbkdir45}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.5//EN" \
  "%{fdocbkdir45}/htmltblx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
  "%{fdocbkdir45}/soextblx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Information Pool V4.5//EN" \
  "%{fdocbkdir45}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Document Hierarchy V4.5//EN" \
  "%{fdocbkdir45}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Additional General Entities V4.5//EN" \
  "%{fdocbkdir45}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Notations V4.5//EN" \
  "%{fdocbkdir45}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Character Entities V4.5//EN" \
  "%{fdocbkdir45}/dbcentx.mod" %{docbkcat}

xmlcatalog --noout --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/4.5" \
  "%{fdocbkdir45}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/4.5" \
  "%{fdocbkdir45}" %{docbkcat}
xmlcatalog --noout --add "rewriteSystem" "http://docbook.org/xml/4.5" \
  "%{fdocbkdir45}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://docbook.org/xml/4.5" \
  "%{fdocbkdir45}" %{docbkcat}

#---------------- 4.4 -------------------
xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML V4.4//EN" \
  "%{fdocbkdir44}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook CALS Table Model V4.4//EN" \
  "%{fdocbkdir44}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.4//EN" \
  "%{fdocbkdir44}/htmltblx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
  "%{fdocbkdir44}/soextblx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Information Pool V4.4//EN" \
  "%{fdocbkdir44}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Document Hierarchy V4.4//EN" \
  "%{fdocbkdir44}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Additional General Entities V4.4//EN" \
  "%{fdocbkdir44}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Notations V4.4//EN" \
  "%{fdocbkdir44}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Character Entities V4.4//EN" \
  "%{fdocbkdir44}/dbcentx.mod" %{docbkcat}

xmlcatalog --noout --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/4.4" \
  "%{fdocbkdir44}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/4.4" \
  "%{fdocbkdir44}" %{docbkcat}
xmlcatalog --noout --add "rewriteSystem" "http://docbook.org/xml/4.4" \
  "%{fdocbkdir44}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://docbook.org/xml/4.4" \
  "%{fdocbkdir44}" %{docbkcat}

#---------------- 4.3 -------------------

xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML V4.3//EN" \
  "%{fdocbkdir43}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.3//EN" \
  "%{fdocbkdir43}/htmltblx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Information Pool V4.3//EN" \
  "%{fdocbkdir43}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Character Entities V4.3//EN" \
  "%{fdocbkdir43}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Notations V4.3//EN" \
  "%{fdocbkdir43}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Additional General Entities V4.3//EN" \
  "%{fdocbkdir43}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Document Hierarchy V4.3//EN" \
  "%{fdocbkdir43}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
  "%{fdocbkdir43}/soextblx.dtd" %{docbkcat}

xmlcatalog --noout --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/4.3" \
  "%{fdocbkdir43}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/4.3" \
  "%{fdocbkdir43}" %{docbkcat}
xmlcatalog --noout --add "rewriteSystem" "http://docbook.org/xml/4.3" \
  "%{fdocbkdir43}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://docbook.org/xml/4.3" \
  "%{fdocbkdir43}" %{docbkcat}

#---------------- 4.2 -------------------

xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML V4.2//EN" \
  "%{fdocbkdir42}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Information Pool V4.2//EN" \
  "%{fdocbkdir42}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Character Entities V4.2//EN" \
  "%{fdocbkdir42}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Notations V4.2//EN" \
  "%{fdocbkdir42}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Additional General Entities V4.2//EN" \
  "%{fdocbkdir42}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Document Hierarchy V4.2//EN" \
  "%{fdocbkdir42}/dbhierx.mod" %{docbkcat}

xmlcatalog --noout --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/4.2" \
  "%{fdocbkdir42}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/4.2" \
  "%{fdocbkdir42}" %{docbkcat}
xmlcatalog --noout --add "rewriteSystem" "http://docbook.org/xml/4.2" \
  "%{fdocbkdir42}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://docbook.org/xml/4.2" \
  "%{fdocbkdir42}" %{docbkcat}

#---------------- 4.1.2 -------------------

xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN" \
  "%{fdocbkdir412}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML V4.1.2//EN" \
  "%{fdocbkdir412}/docbookx.dtd" %{docbkcat}

xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Character Entities V4.1.2//EN" \
  "%{fdocbkdir412}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" \
  "%{fdocbkdir412}/dbcentx.mod" %{docbkcat}

xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Notations V4.1.2//EN" \
  "%{fdocbkdir412}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook XML Notations V4.1.2//EN" \
  "%{fdocbkdir412}/dbnotnx.mod" %{docbkcat}

xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Additional General Entities V4.1.2//EN" \
  "%{fdocbkdir412}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.1.2//EN" \
  "%{fdocbkdir412}/dbgenent.mod" %{docbkcat}

xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook Document Hierarchy V4.1.2//EN" \
  "%{fdocbkdir412}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --add "public" "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.1.2//EN" \
  "%{fdocbkdir412}/dbhierx.mod" %{docbkcat}

xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" \
  "%{fdocbkdir412}/calstblx.dtd" %{docbkcat}

xmlcatalog --noout --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/4.1.2" \
  "%{fdocbkdir412}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/4.1.2" \
  "%{fdocbkdir412}" %{docbkcat}
xmlcatalog --noout --add "rewriteSystem" "http://docbook.org/xml/4.1.2" \
  "%{fdocbkdir412}" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://docbook.org/xml/4.1.2" \
  "%{fdocbkdir412}" %{docbkcat}

#---------------- 4.1 -------------------

xmlcatalog --noout --add "public" "-//OASIS//DTD DocBook XML V4.1//EN" \
  "%{fdocbkdir412}/docbookx.dtd" %{docbkcat}

xmlcatalog --noout --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/4.1/" \
  "%{fdocbkdir412}/" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/4.1/" \
  "%{fdocbkdir412}/" %{docbkcat}
xmlcatalog --noout --add "rewriteSystem" "http://docbook.org/xml/4.1/" \
  "%{fdocbkdir412}/" %{docbkcat}
xmlcatalog --noout --add "rewriteURI" "http://docbook.org/xml/4.1/" \
  "%{fdocbkdir412}/" %{docbkcat}

#---------------- /etc/xml/catalog -------------------

xmlcatalog --noout --add "delegatePublic" "-//OASIS//ELEMENTS DocBook" \
  "file://%{docbkcat}" %{xmlcat}
xmlcatalog --noout --add "delegatePublic" "-//OASIS//ENTITIES DocBook" \
  "file://%{docbkcat}" %{xmlcat}
xmlcatalog --noout --add "delegatePublic" "-//OASIS//DTD DocBook" \
  "file://%{docbkcat}" %{xmlcat}
xmlcatalog --noout --add "delegatePublic" "-//OASIS//DTD XML Exchange Table Model 19990315" \
  "file://%{docbkcat}" %{xmlcat}

xmlcatalog --noout --add "delegateSystem" "http://www.oasis-open.org/docbook/" \
  "file://%{docbkcat}" %{xmlcat}
xmlcatalog --noout --add "delegateURI" "http://www.oasis-open.org/docbook/" \
  "file://%{docbkcat}" %{xmlcat}
xmlcatalog --noout --add "delegateSystem" "http://docbook.org/" \
  "file://%{docbkcat}" %{xmlcat}
xmlcatalog --noout --add "delegateURI" "http://docbook.org/" \
  "file://%{docbkcat}" %{xmlcat}

install-catalog -a /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.1.2/docbook.cat >/dev/null
install-catalog -a /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.2/docbook.cat >/dev/null
install-catalog -a /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.3/docbook.cat >/dev/null
install-catalog -a /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.5/docbook.cat >/dev/null

%preun
if test -e %{docbkcat} ; then
xmlcatalog --noout --del "%{fdocbkdir45}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/htmltblx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/soextblx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir45}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/xml/4.5" %{docbkcat}
xmlcatalog --noout --del "http://docbook.org/xml/4.5" %{docbkcat}

xmlcatalog --noout --del "%{fdocbkdir44}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/htmltblx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/soextblx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir44}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/xml/4.4" %{docbkcat}
xmlcatalog --noout --del "http://docbook.org/xml/4.4" %{docbkcat}

xmlcatalog --noout --del "%{fdocbkdir43}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/htmltblx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/soextblx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir43}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/xml/4.3" %{docbkcat}
xmlcatalog --noout --del "http://docbook.org/xml/4.3" %{docbkcat}

xmlcatalog --noout --del "%{fdocbkdir42}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir42}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir42}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir42}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir42}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir42}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir42}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/xml/4.2" %{docbkcat}
xmlcatalog --noout --del "http://docbook.org/xml/4.2" %{docbkcat}

xmlcatalog --noout --del "%{fdocbkdir412}/dbpoolx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir412}/docbookx.dtd" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir412}/dbcentx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir412}/dbnotnx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir412}/dbgenent.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir412}/dbhierx.mod" %{docbkcat}
xmlcatalog --noout --del "%{fdocbkdir412}/calstblx.dtd" %{docbkcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/xml/4.1.2" %{docbkcat}
xmlcatalog --noout --del "http://docbook.org/xml/4.1.2" %{docbkcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/xml/4.1/" %{docbkcat}
xmlcatalog --noout --del "http://docbook.org/xml/4.1/" %{docbkcat}
fi

if test -e %{xmlcat} ; then
xmlcatalog --noout --del "-//OASIS//ELEMENTS DocBook" %{xmlcat}
xmlcatalog --noout --del "-//OASIS//ENTITIES DocBook" %{xmlcat}
xmlcatalog --noout --del "-//OASIS//DTD DocBook" %{xmlcat}
xmlcatalog --noout --del "http://www.oasis-open.org/docbook/" %{xmlcat}
xmlcatalog --noout --del "http://docbook.org/" %{xmlcat}
fi

install-catalog -r /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.1.2/docbook.cat >/dev/null
install-catalog -r /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.2/docbook.cat >/dev/null
install-catalog -r /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.3/docbook.cat >/dev/null
install-catalog -r /etc/sgml/docbook-xml.cat \
  /usr/share/xml/docbook/4.5/docbook.cat >/dev/null

# ------------------- Files ------------------------------------------
%files
%defattr(-, root, root)
%{_sysconfdir}/xml
%{docbkdir41}
%{docbkdir412}
%{docbkdir42}
%{docbkdir43}
%{docbkdir44}
%{docbkdir45}
%{_datadir}/sgml/docbook/dtd/xml
%{_datadir}/xml/docbook/schema/dtd
